<#-- 
	
	 控件引入标记
	
	gaolk
 
-->
<#import "/com/edge/component/core/web/views/controls/date/_date.ftl" as con_date >
<#import "/com/edge/component/core/web/views/controls/layout/_layout.ftl" as con_layout >
<#import "/com/edge/component/core/web/views/controls/table/_table.ftl" as con_table >
<#import "/com/edge/component/core/web/views/controls/window/_window.ftl" as con_window >
<#import "/com/edge/component/core/web/views/controls/ajax/_jquery_ajax.ftl" as con_ajax >
<#import "/com/edge/component/core/web/views/controls/validate/_validate.ftl" as con_validate >
<#import "/com/edge/component/core/web/views/controls/tree/_tree.ftl" as con_tree >
<#import "/com/edge/component/core/web/views/controls/tabbar/_tabbar.ftl" as con_tabbar >
<#import "/com/edge/component/core/web/views/controls/combo/_combo.ftl" as con_combo >

<#-- 定义全局变量 -->
<#global ctx="${webRoot}" />

<#-- 导入CSS , js 文件 -->
<#macro import_js_css>
	
	<#compress>
	
	<#-- 注册JS , CSS 资源文件 -->
	
	<#-- AJAX -->
	<#if (con_ajax.page_js)?? && con_ajax.page_js == "1" >
		<#assign js_libs_ajax =["/jquery/json2.js","/jquery/jsonselect.min.js"] />
	</#if>
	
	<#-- WINDOW -->
	<#if (con_window.page_js)?? && con_window.page_js == "1" >
		<#assign js_libs_window =["/dhtmlx/dhtmlxcommon.js","/dhtmlx/dhtmlxWindows/dhtmlxwindows.js","/dhtmlx/dhtmlxWindows/dhtmlxcontainer.js"] />
		<#assign css_libs_window = ["/dhtmlx/dhtmlxWindows/dhtmlxwindows.css","/dhtmlx/dhtmlxWindows/skins/dhtmlxwindows_dhx_skyblue.css"] />
	</#if>

	<#-- LAYOUT -->
	<#if (con_layout.page_js)?? && con_layout.page_js == "1" >
		<#assign js_libs_layout =["/dhtmlx/dhtmlxcommon.js","/dhtmlx/dhtmlxLayout/dhtmlxlayout.js","/dhtmlx/dhtmlxLayout/dhtmlxcontainer.js"] />
		<#assign css_libs_layout = ["/dhtmlx/dhtmlxLayout/dhtmlxlayout.css","/dhtmlx/dhtmlxLayout/skins/dhtmlxlayout_dhx_skyblue.css"] />
	</#if>

	<#-- TABLE -->
	<#if (con_table.page_js)?? && con_table.page_js == "1" >
		<#assign js_libs_table =["/dhtmlx/dhtmlxcommon.js","/dhtmlx/dhtmlxGrid/dhtmlxgrid.js","/dhtmlx/dhtmlxGrid/dhtmlxgridcell.js","/dhtmlx/dhtmlxGrid/ext/dhtmlxgrid_srnd.js","/dhtmlx/dhtmlxGrid/excells/dhtmlxgrid_excell_link.js","/dhtmlx/dhtmlxGrid/excells/dhtmlxgrid_excell_cntr.js"] />
		<#assign css_libs_table = ["/dhtmlx/dhtmlxGrid/dhtmlxgrid.css","/dhtmlx/dhtmlxGrid/skins/dhtmlxgrid_dhx_skyblue.css"] />
	</#if>

	<#-- INPUT 输入 格式化  --->
	<#if (con_validate.page_js)?? && con_validate.page_js == "mask_input" >
		<#assign js_libs_mask =["/jquery/jquery.maskedinput-1.3.min.js"] />
	</#if>
	
	<#-- 日期弹出输入控件  --->
	<#if (con_date.page_js)?? && con_date.page_js == "my97_date" >
		<#assign js_libs_date =["/My97DatePicker/WdatePicker.js"] />
	</#if>
	
	<#-- tree控件   --->
	<#if (con_tree.page_js)?? && con_tree.page_js == "dh_tree" >
		<#assign js_libs_tree =["/dhtmlx/dhtmlxcommon.js","/dhtmlx/dhtmlxTree/dhtmlxtree.js","/dhtmlx/dhtmlxTree/ext/dhtmlxtree_json.js","/dhtmlx/dhtmlxTree/ext/dhtmlxtree_start.js"] />
		<#assign css_libs_tree = ["/dhtmlx/dhtmlxTree/dhtmlxtree.css"] />
	</#if>
	
	<#-- tabbar 控件 -->
	<#if (con_tabbar.page_js)?? && con_tabbar.page_js == "dh_tabbar" >
		<#assign js_libs_tabbar =["/dhtmlx/dhtmlxcommon.js","/dhtmlx/dhtmlxTabbar/dhtmlxtabbar.js","/dhtmlx/dhtmlxTabbar/dhtmlxtabbar_start.js"] />
		<#assign css_libs_tabbar = ["/dhtmlx/dhtmlxTabbar/dhtmlxtabbar.css"] />
	</#if>
	
	<#-- combo控件   --->
	<#if (con_combo.page_js)?? && con_combo.page_js == "dh_combo" >
		<#assign js_libs_combo =["/dhtmlx/dhtmlxcommon.js","/dhtmlx/dhtmlxCombo/dhtmlxcombo.js"] />
		<#assign css_libs_combo = ["/dhtmlx/dhtmlxCombo/dhtmlxcombo.css"] />
	</#if>
	
	
	<#assign js_libs = removeDoubleElement("js_libs_window","js_libs_layout","js_libs_table","js_libs_mask","js_libs_date","js_libs_tree","js_libs_tabbar","js_libs_combo") />
	<#assign css_libs = removeDoubleElement("css_libs_window","css_libs_layout","css_libs_table","css_libs_tree","css_libs_tabbar","css_libs_combo") />
	
	<#-- 在HTML中导入JS文件以及CSS文件  -->
	
	<#list css_libs as css >
		<link rel="stylesheet" type="text/css" href="${ctx}/resources/js${css}">
	</#list>
	
	<#list js_libs as js >
		<script src="${ctx}/resources/js${js}" type="text/javascript" ></script>
	</#list>

	</#compress>
</#macro>