<#-- 
	描述：执行AJAX请求 
	作者：gaolk
	版本：v2.0
	日期: 2011年06月26日 
-->

<#-- 执行AJAX请求 
	method : 方法名称 xxx(data) , xxx() ,data 是KEY/VALUE 键值对参数
	url : 请求的URL地址
	type : 调用方式 , 默认POST
	dataType : 期望返回数据类型  xml , html , json , text 默认 json
	async : 请求同/异步 ， 默认 true 
	data : 发送到服务器的数据,可以为字符串和方法名称 xxx（），必须为 Key/Value 格式 ， 默认空.
	error : 请求失败时回调函数  function (XMLHttpRequest, state , errorThrown) , 默认提示请求失败
	success : 请求成功后的回调行数 function (data, state) data 可以是  xmlDoc, jsonObj, html, text , 默认与msgBox服务端控件绑定
	debug : 是否显示数据用于调试使用 , 默认不显示
	beforeSend : 请求提交前处理事件 function (XMLHttpRequest) , 默认值空
	form : 表单ID ,设置了表单id后，系统会自动获取表单值 , 系统允许设置多个表单ID
	preCall : 提交前处理函数名称  , 默认为空
    jsondata : 返回JSON对象的函数名称，与 form , data , 方法参数互斥 , 注意：只能提交简单JSON对象，嵌套JSON对象会出错
	showProcessBar : 默认不显示 false
	autoexec : 在页面装载完毕后是否自动执行 默认 false
--> 

<#-- ajax 使用例子
	
	一、提交表单
	method="postSaveCondition()" : 提交的方法名称
	url="saveCondition.action"   ： 提交后台的action地址
	form="conditionForm" : 需要提交的表单
	
	<@con.ajax method="postSaveCondition()" url="saveCondition.action" form="conditionForm" >
		<@con.ajax_success>
			alert("保存成功");
		</@con.ajax_success>
		<@con.ajax_error>
			alert("保存失败");
		</@con.ajax_error>
	</@con.ajax>
	
	二、不提交表单，提交自定义数据
	method="postSaveCondition( data )" : 提交的方法名称
	url="saveCondition.action" ： 提交后台的action地址
	
	<@con.ajax method="postSaveCondition( data )" url="saveCondition.action" >
		<@con.ajax_success>
			alert("保存成功");
		</@con.ajax_success>
		<@con.ajax_error>
			alert("保存失败");
		</@con.ajax_error>
	</@con.ajax>	
	
	调用例子:
	function submitForm()
	{
		//提交两个字段 ， userId , userName ;
		var data = "userId=" + id + "&userName=" + name ;
		//传入参数提交到后台
		postSaveCondition(data);
	}
	
-->

<#macro ajax method url type="" dataType="json" async=""  data="" jsondata="" debug=false  form="" preCall="" autoexec=false showProcessBar="false" >
	<@compress single_line=false>
	<#assign page_js="1">
	
	<#-- 定义AJAX 全局变量    函数名称   -->
	<#assign _ajax_methodName=method?substring(0 , method?index_of("(") ) > 
	<#-- 定义AJAX 全局变量    提交前处理函数   -->
	<#assign _ajax_beforeSend = "" >
	<#-- 定义AJAX 全局变量    提交成功处理函数   -->
	<#assign _ajax_success = "" >
	<#-- 定义AJAX 全局变量    提交失败处理函数   -->
	<#assign _ajax_error = "" >
	<#-- 定义AJAX 全局变量   提交成功或者失败都执行的函数   -->
	<#assign _ajax_complete = "" >
	<#-- 定义AJAX 全局变量   自动更新表单   -->
	<#assign _ajax_banding = "" >
	<#-- 定义AJAX 全局变量   是否调试模式   -->
	<#assign _ajax_debug = debug >
	<#-- 函数参数名称 -->
	<#local methodParam=method?substring(method?index_of("(") +1  , method?last_index_of(")") ) >
	<#-- 定义插入点 ，提供其他模板定制数据 -->
	
	<#if autoexec == true >
		$(document).ready( function(){${method} ;} );
	</#if>
	
	<#nested>
	
	<#--- ajax 方法定义 -->
	function ${method}
	{
		<#-- 提交前处理函数名称 -->
		if ( ${_ajax_methodName}_beforCall() == false )
		{
			return ;
		}
		<#-- 调试模式 -->
		<#if _ajax_debug == true >
			var debugStr="请求地址：${url}在调用之前的所有参数：";
			<#if data != "" > debugStr+="\ndata参数 ："+${data}; </#if>
    		<#if form != "" >
    			<#list form?split(",") as f >
    				 debugStr+="\n表单参数："+${_ajax_methodName}_formData();
    			</#list>
    		</#if>
    		<#if methodParam != "" > debugStr+="\nmethod中所带参数 ："+${methodParam}; </#if>
    		alert(debugStr);
		</#if>
    	$.ajax({
    	   <#-- 请求提交前处理事件 -->
    	   beforeSend : ${_ajax_methodName}_do_ajax_beforeSend ,
		   <#-- 请求类型 -->
		   <#if type=="" >type: "POST", <#else> type: "${type}", </#if> 
		   <#-- 期望返回数据类型 -->
		   <#if dataType=="" >dataType: "json",<#else>dataType: "${dataType}",</#if> 
		   <#-- 请求地址 -->
		    url: "${url}",
		   <#if async != "" > async :${async}, </#if>
		   <#-- 请求数据 -->
		   <#if jsondata != "">  data : ${jsondata} ,
		   <#else> data:(""<#if data != "" >+"&"+${data}</#if><#if form != "" >+"&"+${_ajax_methodName}_formData()</#if><#if methodParam != "">+"&"+${methodParam}</#if>).substr(1) ,
		   </#if>
		   
		   <#-- 请求成功回调函数 -->
		   success: ${_ajax_methodName}_do_success ,
		   
		   <#-- 请求回调函数 -->
		   complete: ${_ajax_methodName}_do_ajax_complete ,
		   <#-- 请求失败回调函数 -->
		   <#if _ajax_error =="" >error: ${_ajax_methodName}_error <#else> error: ${_ajax_error} </#if>
		}); 
	}
	
	<#-- 默认错误回调函数 -->
	<#if _ajax_error == "" >
		function ${_ajax_methodName}_error(XMLHttpRequest, state , errorThrown )
		{
			<#-- 关闭状态条 -->
			if(XMLHttpRequest.status != 888)
			{
				alert("操作失败，请联系管理员");
			}
		}
	</#if>
	
	<#-- 系统提交前处理函数,用户可以扩展此方法 -->
	function ${_ajax_methodName}_beforCall()
	{
		<#-- 显示状态条 -->
		return <#if preCall != "" >${preCall};</#if>
	}
	
	<#-- 获取提交表单的参数值， 函数名称为 方法名称 + _ + formData -->
	function ${_ajax_methodName}_formData()
	{
		var _formData = "" ;
		<#if form != "" >
    		<#list form?split(",") as f >
    			_formData = $('#${f}').serialize()  ;
    		</#list>
    	</#if>
    	return _formData ;
	}
	
	<#-- 执行成功回调函数  -->
	function ${_ajax_methodName}_do_success( data , state )
	{
		<#-- 数据绑定事件 -->
		<#if _ajax_banding != ""> ${_ajax_methodName}_banding(data , state); </#if>
		<#-- 关闭提示窗口 -->
		<#if showProcessBar == "true" > __close(); </#if>
		<#-- 处理成功事件  -->
		<#if _ajax_success != "" > ${_ajax_methodName}_success(data , state) ; </#if>
	}
	
	<#-- 执行提交前回调函数  -->
	function ${_ajax_methodName}_do_ajax_beforeSend(request)
	{
		<#-- 打开提示窗口 -->
		<#if showProcessBar == "true" > __show(); </#if>
		<#if _ajax_beforeSend != "" > ${_ajax_methodName}_beforeSend(request);</#if>
	}
	<#-- 执行提交完成回调函数  -->
	function ${_ajax_methodName}_do_ajax_complete(request, state)
	{
		<#-- 关闭提示窗口 -->
		<#if showProcessBar == "true" > __close(); </#if>
		
		<#-- 执行默认清理处理，判断SESSION是否过期  -->
		if(request.status == 888)
		{
			alert("您的登录已经失效，请重新登录");
			window.top.location.href= request.responseText;
			return ;
		}
		<#if _ajax_complete != "" > ${_ajax_methodName}_complete( request, state );</#if>
	}
	</@compress>
</#macro>

<#-------------------- ajax 内部标签定义 ----------------------------->

<#-- 
	ajax 请求失败执行函数
 -->
<#macro ajax_error >
	<#--- 设定函数名称 --->
	<#assign _ajax_error = "${_ajax_methodName}_error" >
	function ${_ajax_methodName}_error(request, state , errorThrown )
	{
		<#-- 自定义扩展点 -->
		<#nested>
	}
</#macro>

<#-- 
	ajax 提交成功或失败执行函数
 -->
<#macro ajax_complete >
	<#--- 设定函数名称 --->
	<#assign _ajax_complete = "${_ajax_methodName}_complete" >
	function ${_ajax_methodName}_complete( request, state )
	{
		<#-- 自定义扩展点 -->
		<#nested>
	}
</#macro>

<#-- 
	ajax 提交成功后执行函数 
	该函数与 ajax_update 是互斥的
-->
<#macro ajax_success >
	<#--- 设定函数名称 --->
	<#assign _ajax_success = "${_ajax_methodName}_success" >
	function ${_ajax_methodName}_success( data, state )
	{
		<#-- 自定义扩展点 -->
		<#nested>
	}
</#macro>

<#-- 
	ajax 提交前执行函数 
-->
<#macro ajax_before >
	<#--- 设定函数名称 --->
	<#assign _ajax_beforeSend = "${_ajax_methodName}_beforeSend" >
	function ${_ajax_methodName}_beforeSend( request )
	{
		<#-- 自定义扩展点 -->
		<#nested>
	}
</#macro>

<#-- 
	ajax 自动更新表单 
	entity : 需要更新的控件ID名称前缀 ， 如： 控件ID : mypre_userName , 如果JSON属性为 userName ,则前缀设置为 mypre_
	data : 需要绑定的数据如  data.entp , data.user
-->
<#macro ajax_banding entity="" data="data" dataType="json" >

	<#--- 设定函数名称 --->
	<#assign _ajax_banding = "${_ajax_methodName}_update" >
	
		function ${_ajax_methodName}_banding( data , state )
		{	
			<#if dataType=="json">
			<#-- 更新表单数据  -->
			if(${data} == null || typeof(${data})== "undefined" ) return ;
			$.each( ${data} , function( name , value ){
				<#-- 判断是否是checkbox -->
				if($("#${entity}"+name).attr("type")=="checkbox")
				{
					if($("#${entity}"+name).attr("value") == value )
					{	
						$("#${entity}"+name).attr("checked",true);
					}
					else
					{
						$("#${entity}"+name).attr("checked",false);
					}
				}
				else
				{
					var tagName = $("#${entity}"+name).attr("tagName");
					<#-- 判断如果是其他标签则使用html()来设置内容 -->
					if(tagName=="SPAN" | tagName=="DIV" | tagName=="A" | tagName=="LABEL" | tagName == "TD" | tagName == "EM" )
					{
						$("#${entity}"+name).html("");
						$("#${entity}"+name).html(value);
					}
					else
					{
						$("#${entity}"+name).val(value);
					}
				}
			} );
			<#else>
				$("#${entity}").html("");
				$("#${entity}").html(data);
			</#if>
			<#-- 自定义扩展点 -->
			<#nested>
		}
	
</#macro>
