<#-- 
	描述：Layout布局定义
	作者：gaolk
	版本：v2.0 
	日期: 2011年06月26日 
-->
<#--
	id : 容器 ID , 真实容器对象ID为  id_layout 
	type : 布局显示类型  2U , 3U 等
 -->
 
 <#-- dh_layout 使用例子	
 
 	type="2U" : 布局样式，参考DHTMLX组件帮助
 	id="ds" : 布局空间的ID
 	<@con.layoutPanel /> : 布局里的面板定义
 
 	 布局定义 , 必须放在HTML控件 后面 
	<@con.dhtmlLayout id="ds" type="2U" >
		面板定义 
		<@con.layoutPanel panel="a" title="查询指标" obj="" width="200" >
			增加accrod 控件
			var dhxAccord = ds_layout.cells("a").attachAccordion();
			<#list queryDs.accrodColumns as titleCol >
				dhxAccord.addItem("${titleCol.id}", "${titleCol.title}");
				dhxAccord.cells("${titleCol.id}").attachObject("item_${titleCol.id}");
			</#list>
		</@con.layoutPanel>
		默认打开第一个accrod
		<#if queryDs.accrodColumns??>dhxAccord.cells("${ queryDs.accrodColumns?first.id }").open();</#if>
		
		面板定义   查询条件及结果 
		<@con.layoutPanel panel="b" title="${queryDs.title!}" obj="search_list" />
	</@con.dhtmlLayout>
 
 -->

<#macro dh_layout id="dhlayout" type="2U" >
	<#assign page_js="1">
	<@compress single_line=false>
		<#-- 定义面板ID -->
		<#assign _dhtmlLayout_id = "${id}" >
		
		<#-- 布局容器采用BODY控制 -->
			var ${_dhtmlLayout_id} ;
			
			$(document).ready(function () {
				${_dhtmlLayout_id} = new dhtmlXLayoutObject(document.body, "${type}");
				${_dhtmlLayout_id}.setEffect("resize", true);
    			${_dhtmlLayout_id}.setAutoSize("a", "ab");
    			<#nested>
			});
    </@compress>
</#macro>


<#-- 布局面板定义

	panel : 面板ID , a b c d 等
	title : 面板标题 , 默认空
	width : 面板宽 , 默认空
	height :面板高度  默认空 
	url : 面板链接的页面  , 默认空
	obj : 要增加到面板中的 html 元素ID , 在指定obj 的时候 布局定义必须放在  html 元素后面 , 默认空
	showheader : 是否显示面板标题 , 默认显示
 -->
<#macro panel id title="" width="" height="" url="" obj="" showheader=true >
	
	<@compress single_line=true>
		<#if title != "" > ${_dhtmlLayout_id}.cells("${id}").setText("${title}"); </#if>
		<#if width != "" > ${_dhtmlLayout_id}.cells("${id}").setWidth(${width}); </#if>
		<#if height != "" > ${_dhtmlLayout_id}.cells("${id}").setHeight(${height}); </#if>
		
		<#-- 通过连接实例化面板 -->
		<#if url != "" & obj == "" >${_dhtmlLayout_id}.cells("${id}").attachURL("${url}");</#if>
		<#-- 通过HTML对象实例化面板 -->
		<#if url == "" & obj != "" >${_dhtmlLayout_id}.cells("${id}").attachObject("${obj}");</#if>
		<#if showheader == false >${_dhtmlLayout_id}.cells("${id}").hideHeader();</#if>
		<#nested>
	</@compress>
</#macro>