<#-- 
	描述：dhtmlTree控件
	作者：gaolk 
	版本：v2.0 
-->
<#-- tree 
	
	id : tree 控件的id
	style : 树控件CSS样式
	checkbox : 是否允许checkbox选择 默认：false
	url : 获取tree数据的地址
	autoload : 是否自动装载数据 ， 默认：false
	nodeurl  : 获取node节点数据的地址
	formId : 装载树时需要提交的表单ID ， 默认空
	expand : 是否打开所有节点 ， 默认 false 
	showProcessBar : 是否显示进度条 ， 默认true
	onclick : 树节点选择事件 ，默认空
	expandfirst : 打开第一个节点 ， 默认 true
 -->
 
 <#-- 使用例子
 
 
 -->
<#import "/com/edge/component/core/web/views/controls/ajax/_jquery_ajax.ftl" as con_ajax >
<#macro dh_tree 
	id 
	style="width:100;height:100;overflow:auto;" 
	checkbox=false 
	url="" 
	autoload=false 
	nodeurl="" 
	formId="" 
	expand=false
	showProcessBar="true"
	onclick=""
	expandfirst=true
>
	<#-- tree 控件站位符号 -->
	<div id="${id}_div" style="${style}"></div>
	<@compress single_line=false>
	<#assign page_js="dh_tree">
	
	<script type="text/javascript">
	var ${id}_tree ;

	<#-- 构造树控件    -->
	$(document).ready(function(){  	
			<#-- 创建并查询树数据 -->
            <#if autoload > ${id}_loadTreeData();  </#if>
	});
	
	<#-- 装载树控件数据    -->
	<@con_ajax.ajax method="${id}_loadTreeData()" url="${url}/${id}" showProcessBar="${showProcessBar}" form="${formId}" >
		<@con_ajax.ajax_success>
		    <#-- 构造树对象 -->
			$("#${id}_div").html("");
			${id}_tree = new dhtmlXTreeObject("${id}_div","100%","100%",data.${id}.id);
			${id}_tree.setSkin('dhx_skyblue'); 
			${id}_tree.setImagePath("${ctx}/resources/js/dhtmlx/dhtmlxTree/imgs/csh_dhx_skyblue/");
			${id}_tree.setDataMode("xml");
			
			<#if nodeurl != "" >
			${id}_tree.setXMLAutoLoading("${nodeurl}");
			</#if>
			<#if checkbox >
	          	${id}_tree.enableCheckBoxes(1); 
	            ${id}_tree.enableThreeStateCheckboxes(true); 
	        </#if>
			 ${id}_tree.loadJSONObject(data.${id}); 
			<#if checkbox >
				<#-- 设置CHECKBOX选中项 -->
				if(${id}_tree.getAllChildless() == "") return ;
				var nodes = ${id}_tree.getAllChildless().split(",");
				
				if(data.${id}.checkedIds != null)
				{
					for(i=0;i<data.${id}.checkedIds.length;i++)
					{
						if($.inArray(data.${id}.checkedIds[i] , nodes) >= 0 ) ${id}_tree.setCheck(data.${id}.checkedIds[i] , 1);
					}
				}
			</#if>
			<#-- 展开所有节点 -->
			<#if expand == true>
				${id}_tree.openAllItems(data.${id}.id);
			</#if>
			
			<#if onclick !="" >
            	${id}_tree.attachEvent("onClick", function(id,state){
		     	  ${onclick};
		    	});
            </#if>
            
			<#nested>
			 
		</@con_ajax.ajax_success>
	</@con_ajax.ajax>	
	
	</script>
	
	</@compress>
	 
</#macro>

