<#-- 
	描述：输入控件验证框架
	作者：gaolk 
	版本：v2.0 
-->
<#-- validates
	validates 控件必须包含在<script></script> 之间 
	align : 错误提示框对其方式 ：top left , top center , bottom left , bottom right
	
	
 -->
 
 <#-- validates 使用例子
 	<@con_validate.validates>
		<@con_validate.input_validate id="number" message="请输入数字" expression="number" />
		<@con_validate.input_validate id="notnull" message="不能为空" expression="null" />
		<@con_validate.input_validate id="date" message="请输入日期格式" expression="date" />
	</@con_validate.validates>
 -->
 
<#macro validates align="top left" >
	<@compress single_line=false>
	<#assign page_js="input_validate">
	<#-- 需要验证的控件ID集合 , 通过子控件注册  <#assign valIds="" /> -->

	<#-- 定义内置的验证函数 -->
	<#assign expressions={
		<#-- 验证是否必填 -->
		"null":"if (value) return true; else return false;" ,
		<#-- 验证是否 数字型 -->
		"number":"if (!isNaN(value)) return true; else return false;" ,
		<#-- 验证是否 INT型 -->
		"int":"if (value.match(/^[0-9]*$/) && value) return true; else return false;" ,
		<#-- 验证是否 email表达式 -->
		"email":"if ( (value==false) || value.match(/^[^\\W][a-zA-Z0-9\\_\\-\\.]+([a-zA-Z0-9\\_\\-\\.]+)*\\@[a-zA-Z0-9_]+(\\.[a-zA-Z0-9_]+)*\\.[a-zA-Z]{2,4}$/)) return true; else return false;" ,
		<#-- 验证单选是否选择 -->
		"selection":"if (value != '0') return true; else return false;" ,
		<#-- 验证多选是否选择 -->
		"m_selection":"if (value) return true; else return false;" ,
		<#-- 验证RadioBox是否选择 -->
		"radio":"if (isChecked(SelfID)) return true; else return false;",
		<#-- 验证CheckBox是否选择 -->
		"checkbox":"if (isChecked(SelfID)) return true; else return false;",
		<#-- 验证日期格式 ， 长度要限制 -->
		"date":"if (value.match(/^([0-9]{3}[1-9]|[0-9]{2}[1-9][0-9]{1}|[0-9]{1}[1-9][0-9]{2}|[1-9][0-9]{3})-(((0[13578]|1[02])-(0[1-9]|[12][0-9]|3[01]))|((0[469]|11)-(0[1-9]|[12][0-9]|30))|(02-(0[1-9]|[1][0-9]|2[0-8])))/) && value) return true; else return false;" ,
		<#-- 验证日期格式  可以为空 ， 长度要限制 -->
		"date_null":"if ( (value ==false) || value.match(/^([0-9]{3}[1-9]|[0-9]{2}[1-9][0-9]{1}|[0-9]{1}[1-9][0-9]{2}|[1-9][0-9]{3})-(((0[13578]|1[02])-(0[1-9]|[12][0-9]|3[01]))|((0[469]|11)-(0[1-9]|[12][0-9]|30))|(02-(0[1-9]|[1][0-9]|2[0-8])))/)) return true; else return false;" ,
		<#-- 验证年月(YYYY-MM)格式  可以为空 ， 长度要限制 -->
		"year_month_null":"if ( (value == false) ||  value.match(/^([0-9]{4}(-){1}(([0]?[1-9]{1})|([1-9]{1})|([1]{1}[0-2]{1})))$/)) return true; else return false;" ,
		 <#-- 验证年月(YYYY-MM)格式  不为空 ， 长度要限制 -->
		"year_month":"if ( (value) &&  value.match(/^([0-9]{4}(-){1}(([0]?[1-9]{1})|([1-9]{1})|([1]{1}[0-2]{1})))$/)) return true; else return false;"
	}>
	
	<#-- 验证组件ID数组  -->
	var __validate_ids = [] ;
	<#-- 验证错误消息控件ID集合  -->
	var __validate_error_info = [] ;
	<#-- 注册验证控件和相关操作 __validate_controls = $("[validate]").validator();  -->
	$("document").ready(function(){
		
		$.tools.validator.addEffect("wall", function(errors, event) {
			<#-- var wall = $(this.getConf().container).fadeIn(); -->
			<#-- 保存验证错误信息对象  -->
			$.each(errors, function(index, error) {
				if(!__hasErros(error.input.attr("id")))
				{
					__validate_error_info.push(__createErrorObj(error));
					<#-- wall.append("<p><strong>" +error.input.attr("id")+ "</strong> " +error.messages[0]+ "</p>"); -->
				}
			});
	
			}, function(inputs)  {
	
			});
		
		<#nested>
		
	});
	
	<#-- 构造错误信息对象  -->
	function __createErrorObj( error )
	{
		var info = {id:"" , message:"" };
		info.id = error.input.attr("id") ;
		info.message = error.messages[0] ;
		return info ;
	}
	
	function __createErrorObj2( id , message )
	{
		var info = {id:"" , message:"" };
		info.id =  id ;
		info.message = message ;
		return info ;
	}
	
	<#-- 增加错误信息到错误集合中  -->
	function nstAddErrorInfo( id , message )
	{
		<#-- 过滤重复错误信息 -->
		__validate_error_info = $.grep( __validate_error_info , function(n,i){
				if(n.id == id )
				{
					return false ;
				}
				return true ;
			} );
			
		__validate_error_info.push( __createErrorObj2( id , message )  );
	}
	
	<#-- 检查该控件错误是否已经存在 --->
	function __hasErros( id )
	{
		var ret = false ;
		$.each( __validate_error_info , function(index , errorInfo){
			if(errorInfo.id == id )
			{
				ret = true ;
				return true ;
			}
		} );
		return ret ;
	}
	
	<#-- 执行验证操作 , 返回验证错误信息 -->
	function nst_validate()
	{
		<#-- 清空错误消息 -->
		__validate_error_info = [];
		for( i=0 ; i< __validate_ids.length ; i++ )
		{
			<#-- 构造验证组件并执行验证  -->
			var input = $(__validate_ids[i]).validator({position : "${align}" , effect:"wall" , container:"#errors" });
			input.data("validator").checkValidity();
		}
		<#-- 返回错误信息集合 -->
		return __validate_error_info ;
	}
	
	</@compress>
</#macro>

<#-- 
    input_validate 
	注册验证规则验证控件	
	validate 控件必须包含在<@validates></@validates> 之间 ， 是子控件
	
	id : 控件ID 
	expression : 验证表达式 , 默认为空
	select : jquery select 表达式 ， 使用它来注册验证控件
	message : 验证失败后的错误消息	
	
	
	<#assign valIds=valIds+id+"," />
 -->
<#macro input_validate id="" message="" expression="" select="" >
	<#-- 根据ID注册验证控件 -->
	<#if id != "" && select=="" >
		__validate_ids.push( "#${id}" ) ;
		$.tools.validator.fn("#${id}", "${message}", function(input, value) { 
			<#-- 注册内置表达式 -->
			<#if expression != "" && expressions[expression]?exists && expressions[expression] != "" > 
				${expressions[expression]}
			<#elseif expression != "" >
				${expressions} ;
			</#if>
			<#nested>
		});
	</#if>
	<#-- 根据JQUERY SELECT注册验证控件 -->
	<#if id == "" && select != "" >
		__validate_ids.push( "${select}" ) ;
		$.tools.validator.fn("${select}", "${message}", function(input, value) { 
			<#-- 注册内置表达式 -->
			<#if expression != "" && expressions[expression]?exists && expressions[expression] != "" > 
				${expressions[expression]}
			<#elseif expression != "" >
				${expressions} ;
			</#if> 
			<#nested> 
		});
	</#if>
	
</#macro>
