package com.sankuai.sjst.platform.developer.request;

import com.alibaba.fastjson.JSONObject;
import com.sankuai.sjst.platform.developer.domain.RequestDomain;
import com.sankuai.sjst.platform.developer.domain.RequestMethod;

import javax.validation.constraints.*;
import java.util.HashMap;
import java.util.Map;

/**
 * 查询菜品属性
 * <p>
 * Created by FreeMarker
 */
public class CipCaterTakeoutDishQueryPropertyRequest extends CipCaterStringPairRequest {

    @NotNull
    private String eDishCode;

    public CipCaterTakeoutDishQueryPropertyRequest() {
        this.url = RequestDomain.preUrl.getValue() + "/waimai/dish/queryPropertyList";
        this.requestMethod = RequestMethod.GET;
    }

    @Override
    public Map<String, String> getParams() {
        return new HashMap<String, String>() {{
            if (eDishCode != null) {
                put("eDishCode", JSONObject.toJSONString(eDishCode));
            }
        }};
    }

    public String getEDishCode(){
        return eDishCode;
    }

    public void setEDishCode(String eDishCode){
        this.eDishCode = eDishCode;
    }
}